# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2020-07-28 13:30
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('hr', '0002_agent'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0036_auto_20200722_1008'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalQAChannel',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='Nombre')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical qa channel',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='HistoricalQAMonitoring',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('date', models.DateField(verbose_name='Date')),
                ('rut', models.CharField(max_length=20, verbose_name='Rut')),
                ('reason', models.TextField(max_length=255, verbose_name='Reason')),
                ('address', models.CharField(max_length=255, verbose_name='Address')),
                ('phone', models.CharField(max_length=75, verbose_name='Customer phone number')),
                ('comment', models.TextField(blank=True, max_length=255, verbose_name='QA Comment')),
                ('active', models.BooleanField(default=True, verbose_name='Active')),
                ('email', models.EmailField(max_length=254, verbose_name='Correo')),
                ('subcategory', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Subcategoria')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('agent', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='hr.Agent')),
                ('created_by', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('service', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Service')),
            ],
            options={
                'verbose_name': 'historical qa monitoring',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='HistoricalQATracing',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('solved', models.BooleanField(default=False, verbose_name='Solved')),
                ('reason', models.TextField(max_length=255, verbose_name='Reason')),
                ('comment', models.TextField(blank=True, max_length=255, verbose_name='QA Comment')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical qa tracing',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='QAChannel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='Nombre')),
            ],
            options={
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='QAMonitoring',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('date', models.DateField(verbose_name='Date')),
                ('rut', models.CharField(max_length=20, verbose_name='Rut')),
                ('reason', models.TextField(max_length=255, verbose_name='Reason')),
                ('address', models.CharField(max_length=255, verbose_name='Address')),
                ('phone', models.CharField(max_length=75, verbose_name='Customer phone number')),
                ('comment', models.TextField(blank=True, max_length=255, verbose_name='QA Comment')),
                ('active', models.BooleanField(default=True, verbose_name='Active')),
                ('email', models.EmailField(max_length=254, verbose_name='Correo')),
                ('subcategory', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Subcategoria')),
                ('agent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hr.Agent', verbose_name='Voip Now Extension')),
                ('created_by', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='created_by')),
                ('service', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Service')),
            ],
            options={
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='QATracing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('solved', models.BooleanField(default=False, verbose_name='Solved')),
                ('reason', models.TextField(max_length=255, verbose_name='Reason')),
                ('comment', models.TextField(blank=True, max_length=255, verbose_name='QA Comment')),
                ('monitoring', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.QAMonitoring', verbose_name='Monitoring')),
            ],
            options={
                'ordering': ['-pk'],
            },
        ),
        migrations.AddField(
            model_name='callqa',
            name='address',
            field=models.CharField(default='Sin dirección', max_length=255, verbose_name='Address'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='callqa',
            name='created_by',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Crated_by'),
        ),
        migrations.AddField(
            model_name='callqa',
            name='email',
            field=models.EmailField(default='ejemplo@mail.com', max_length=254, verbose_name='Correo'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='callqa',
            name='indicators_apply',
            field=models.ManyToManyField(blank=True, related_name='indicators_apply', to='customers.QAIndicator'),
        ),
        migrations.AddField(
            model_name='callqa',
            name='kind',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Llamada'), (2, 'Canal')], default=1, verbose_name='Tipo'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='historicalcallqa',
            name='address',
            field=models.CharField(default='Sin dirección', max_length=255, verbose_name='Address'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='historicalcallqa',
            name='created_by',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalcallqa',
            name='email',
            field=models.EmailField(default='ejemplo@mail.com', max_length=254, verbose_name='Correo'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='historicalcallqa',
            name='kind',
            field=models.PositiveSmallIntegerField(choices=[(1, 'Llamada'), (2, 'Canal')], default=1, verbose_name='Tipo'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='historicalqatracing',
            name='monitoring',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.QAMonitoring'),
        ),
        migrations.AddField(
            model_name='callqa',
            name='channel',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.QAChannel'),
        ),
        migrations.AddField(
            model_name='historicalcallqa',
            name='channel',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.QAChannel'),
        ),
    ]
